/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* $Id: callbacks.h,v 1.3 2002/10/03 13:47:08 dolphy Exp $ */

#ifndef CALLBACKS_H
#define CALLBACKS_H

/* Callbacks */

gint getcontrol_quit_callback (GtkWidget * widget, gpointer data);

gint getcontrol_about_callback (GtkWidget * widget, gpointer data);

/* Expose callback for the drawing area */

gint expose_callback (GtkWidget * widget, GdkEventExpose * event, gpointer data);

/* Callback for key_press_event management */

gint key_pressed_callback (GtkWidget * widget, GdkEventKey * event, gpointer data);

/* Callback for resizing and first drawing */

gint configure_callback (GtkWidget * widget, gpointer data);

#endif

